Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv
Class ProxyHandler

    java.lang.Object
      com.sun.appserv.ProxyHandler

    public abstract class ProxyHandler

extends Object

Abstract class allowing a backend appserver instance to retrieve information about the original client request that was intercepted by an SSL terminating proxy server (e.g., load balancer).

An implementation of this abstract class inspects a given request for the custom request headers through which the proxy server communicates the information about the original client request to the appserver instance, and makes this information available to the appserver.

This allows the appserver to work with any number of 3rd party SSL offloader implementations configured on the front-end web server, for which a corresponding ProxyHandler implementation has been configured on the backend appserver.

Constructor Summary
`ProxyHandler()`

Method Summary
`String` | `getRemoteAddress(HttpServletRequest request)` Gets the Internet Protocol (IP) address of the original client request that was intercepted by the proxy server.
`X509Certificate[]` | `getSSLClientCertificateChain(HttpServletRequest request)` Gets the SSL client certificate chain with which the client had authenticated itself to the SSL offloader, and which the SSL offloader has added as a custom request header on the given request.
`int` | `getSSLKeysize(HttpServletRequest request)` Returns the SSL keysize with which the original client request that was intercepted by the SSL offloader has been protected, and which the SSL offloader has added as a custom request header on the given request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyHandler

    public ProxyHandler()

Method Detail

### getSSLClientCertificateChain

    public X509Certificate[] getSSLClientCertificateChain(HttpServletRequest request)
                                                   throws CertificateException

  Gets the SSL client certificate chain with which the client had authenticated itself to the SSL offloader, and which the SSL offloader has added as a custom request header on the given request.

  Parameters:
    `request` - The request from which to retrieve the SSL client certificate chain
  Returns:
    Array of java.security.cert.X509Certificate instances representing the SSL client certificate chain, or null if this information is not available from the given request
  Throws:
    `CertificateException` - if the certificate chain retrieved from the request header cannot be parsed

### getSSLKeysize

    public int getSSLKeysize(HttpServletRequest request)

  Returns the SSL keysize with which the original client request that was intercepted by the SSL offloader has been protected, and which the SSL offloader has added as a custom request header on the given request.

  Parameters:
    `request` - The request from which to retrieve the SSL key size
  Returns:
    SSL keysize, or -1 if this information is not available from the given request

### getRemoteAddress

    public String getRemoteAddress(HttpServletRequest request)

  Gets the Internet Protocol (IP) address of the original client request that was intercepted by the proxy server.

  Parameters:
    `request` - The request from which to retrieve the IP address of the original client request
  Returns:
    IP address of the original client request, or null if this information is not available from the given request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.